# imctools

![PyPI](https://img.shields.io/pypi/v/imctools)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/imctools)
![PyPI - License](https://img.shields.io/pypi/l/imctools)
![GitHub Workflow Status (branch)](https://img.shields.io/github/workflow/status/BodenmillerGroup/imctools/test-and-deploy/master)

An IMC file conversion tool that aims to convert IMC raw data files (.mcd, .txt) into an intermediary ome.tiff, containing all the relevant metadata. Further it contains tools to generate simpler TIFF files that can be directly be used as input files for e.g. CellProfiller, Ilastik, Fiji etc.

Documentation is available at [https://bodenmillergroup.github.io/imctools](https://bodenmillergroup.github.io/imctools)

## Requirements

This package requires Python 3.7 or later.

Using virtual environments is strongly recommended.

## Installation

Install imctools and its dependencies with:

    pip install imctools

## Usage

See [Quickstart](https://bodenmillergroup.github.io/imctools/quickstart.html)

## Authors

Created and maintained by Vito Zanotelli [vito.zanotelli@uzh.ch](mailto:vito.zanotelli@uzh.ch) and Anton Rau [anton.rau@uzh.ch](mailto:anton.rau@uzh.ch)

## Contributing

[Contributing](https://bodenmillergroup.github.io/imctools/CONTRIBUTING.html)

## Changelog

[Changelog](https://bodenmillergroup.github.io/imctools/CHANGELOG.html)

## License

[MIT](https://bodenmillergroup.github.io/imctools/LICENSE.html)
